## ros-ros-comm 1.14.2+ds1

=== debian/changelog ===
ros-ros-comm (1.14.2+ds1-10ubuntu1) cosmic; urgency=medium

  * Run 8 g++ compilations of one-liners, and 16 python imports as a
    single ADT test in a single VM, instead of 24 VMs. Thus reducing a
    single reverse trigger of ADT tests from 144 VMs to just 6. This
    should stop pointless abuse of resources in scalingstack.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Oct 2018 17:05:50 +0100

ros-ros-comm (1.14.2+ds1-10) unstable; urgency=medium

  * Team upload.
  * Drop explicit export of the build flags, dh take care of it already.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one only.
  * Bump Standards-Version to 4.2.1.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 12:14:36 +0200

ros-ros-comm (1.14.2+ds1-9) unstable; urgency=medium

  * Fix build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 17:09:07 +0200

ros-ros-comm (1.14.2+ds1-8) unstable; urgency=medium

  * Add patch to generate proper Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 15:14:26 +0200

ros-ros-comm (1.14.2+ds1-7) unstable; urgency=medium

  * Fix location of cmake files
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Aug 2018 07:17:39 +0200

ros-ros-comm (1.14.2+ds1-6) unstable; urgency=medium

  * Add rospkg dependency to rosgraph (Closes: #905223)
  * Add more Multi-Arch
  * Fix changelog line length

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Aug 2018 11:30:32 +0200

ros-ros-comm (1.14.2+ds1-5) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * add python import tests
  * add missing dependency of python-rosbag on python-crypto and of
    python-topic-tools on python-rospy
  * add missing dependency of python-rosbag on python-gnupg
  * add missing dependency of python-roscpp-msgs on python-genpy

  [ Jochen Sprickerhof ]
  * Rename *roscpp-msgs to *roscpp-msg (according to upstream)
  * Add Python 3 packages
  * update standards version
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 21:52:03 +0200

ros-ros-comm (1.14.2+ds1-4) unstable; urgency=medium

  * Team upload.
  * Re-introduce lost Recover changelog entries lost after making fixes to
    1.13.5 while 1.13.6 was still in NEW

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 11 Jul 2018 07:55:58 +0200

ros-ros-comm (1.14.2+ds1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: let librosbag-storage-dev depend on pluginlib-dev
  * debian/librosbag-storage-dev.install: also install rosbag/encryptor.h
  * debian/control: make librosbag-storage-dev depend on libgpgme-dev
  * Add compilation test cases for every *-dev package

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 08 Jul 2018 21:35:30 +0200

ros-ros-comm (1.14.2+ds1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #898001)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jul 2018 11:44:05 +0200

ros-ros-comm (1.14.2+ds1-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add missing dependencies

  [ Johannes Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.1+ds1
  * Remove rosconsole (moved into it's own package)
  * Update copyright
  * New upstream version 1.14.2+ds1
  * Bump Soname due to ABI changes
  * Adopt patches
  * Add missing dependency (Closes: #898847)
  * Add new build dependencies
  * Update patch
  * Make libroscpp-msgs-dev arch:any due to arch:any dependency
  * Remove python build dependency
  * Remove old X-Python-Version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 23:12:24 +0200

ros-ros-comm (1.13.6+ds1-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 1.13.6+ds1
  * Rebase patches
  * Update policy and debhelper versions
  * Add python-roslaunch to python-rostest (Closes: #894647)
  * Remove wrong ${misc:Depends}
  * Bump soname of libxmlrpcpp due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 15:17:11 +0200

ros-ros-comm (1.13.5+ds1-5) unstable; urgency=medium

  * Remove rosconsole, provided by src:ros-rosconsole (Closes: #902106)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 13:49:36 +0200

ros-ros-comm (1.13.5+ds1-4) unstable; urgency=medium

  * Make libroscpp-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:14:11 +0200
