=== debian/tests/control ===
Tests: run_tests
Restrictions: allow-stderr
Depends: libroscpp-dev, g++, catkin, librosbag-dev,
 librosbag-storage-dev, librostest-dev, libtopic-tools-dev,
 libmessage-filters-dev, libroslz4-dev, libxmlrpcpp-dev,
 python-roscpp-msg, python-rospy, python-rosbag, python-rosgraph,
 python-roslaunch, python-rosmaster, python-rosmsg, python-rosnode,
 python-rosparam, python-rosservice, python-rostest, python-rostopic,
 python-topic-tools, python-message-filters, python-roswtf,
 python-roslz4
