=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-4), dh-exec, libroscpp-core-dev,
- python-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
+Build-Depends: debhelper-compat (= 12), catkin (>= 0.7.14-5), dh-exec, libroscpp-core-dev,
+ python3-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
  libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
- libboost-system-dev, libboost-thread-dev, libboost-signals-dev, liblz4-dev,
+ libboost-system-dev, libboost-thread-dev, liblz4-dev,
  ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
- dh-python, python-dev, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev
-Standards-Version: 4.2.1
+ dh-python, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python, libboost-signals-dev, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
+Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python3, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
 Description: Robot OS development files for libroscpp
  This package is part of Robot OS (ROS). roscpp is a C++
  implementation of ROS. It provides a client library that enables C++
@@ -90,23 +90,6 @@
  .
  This package contains the generated C++ headers.
 
-Package: python-roscpp-msg
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy
-Conflicts: python-roscpp-msgs
-Replaces: python-roscpp-msgs
-Description: Header for roscpp messages, Python 2
- This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
- It provides a client library that enables C++ programmers to quickly interface
- with ROS topics, services, and
- parameters.
- .
- roscpp is the most widely used ROS client library and is designed to be the
- high-performance library for ROS. ROS console output library.
- .
- This package contains the generated Python 2 package.
-
 Package: python3-roscpp-msg
 Section: python
 Architecture: all
@@ -140,31 +123,13 @@
  .
  This package contains the generated LISP library.
 
-Package: python-rospy
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-std-msgs, python-rosgraph, python-roscpp-msg, python-rosgraph-msgs, python-yaml, python-roslib
-Description: Python 2 client library for Robot OS
- This package is part of Robot OS (ROS). The rospy client API enables
- Python programmers to quickly interface with ROS topics, services,
- and parameters. The design of rospy favors implementation speed
- (i.e. developer time) over runtime performance so that algorithms can
- be quickly prototyped and tested within ROS. It is also ideal for
- non-critical-path code, such as configuration and initialization
- code. Many of the ROS tools are written in rospy to take advantage of
- the type introspection capabilities.
- .
- Many of the ROS tools, such as rostopic and rosservice, are built on
- top of rospy.
- .
- This package contains the Python 2 library.
-
 Package: python3-rospy
 Section: python
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
+Breaks: python-rospy (<< 1.14.3+ds1-8)
+Replaces: python-rospy (<< 1.14.3+ds1-8)
 Description: Python 3 client library for Robot OS
  This package is part of Robot OS (ROS). The rospy client API enables
  Python programmers to quickly interface with ROS topics, services,
@@ -208,23 +173,13 @@
  The related rosbag package provides a command-line tool for working
  with bags.
 
-Package: python-rosbag
-Section: python
-Architecture: any
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, python-rospy, python-roslz4, python-crypto, python-gnupg
-Description: Python 2 tools for recording from and playing back to Robot OS topics
- This package is part of Robot OS (ROS). It provides a command-line
- tool for working with bags (ROS messages stores). The corresponding
- librosbag package provides corresponding C++ and Python APIs.
- .
- This package contains the Python 2 library.
-
 Package: python3-rosbag
 Section: python
 Architecture: any
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-crypto, python3-gnupg
+Breaks: python-rosbag (<< 1.14.3+ds1-8)
+Replaces: python-rosbag (<< 1.14.3+ds1-8)
 Description: Python 3 tools for recording from and playing back to Robot OS topics
  This package is part of Robot OS (ROS). It provides a command-line
  tool for working with bags (ROS messages stores). The corresponding
@@ -255,24 +210,13 @@
  .
  This package contains the library.
 
-Package: python-rosgraph
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-yaml, python-rospkg
-Description: Tool to print information about the Robot OS computation graph - Python 2
- This package is part of Robot OS (ROS). rosgraph contains the
- rosgraph command-line tool, which prints information about the ROS
- computation graph. It also provides an internal library that can be
- used by graphical tools.
- .
- This package contains the Python 2 library.
-
 Package: python3-rosgraph
 Section: python
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
+Breaks: python-rosgraph (<< 1.14.3+ds1-8)
+Replaces: python-rosgraph (<< 1.14.3+ds1-8)
 Description: Tool to print information about the Robot OS computation graph - Python 3
  This package is part of Robot OS (ROS). rosgraph contains the
  rosgraph command-line tool, which prints information about the ROS
@@ -281,12 +225,66 @@
  .
  This package contains the Python 3 library.
 
-Package: python-roslaunch
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-rosclean,
- rosout, python-rospkg, python-rosgraph, python-roslib, python-rosmaster,
- python-rosgraph-msgs, python-netifaces, python-rosparam, python-yaml
-Description: roslaunch tool for Robot OS - Python 2
+Package: python3-roslaunch
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosclean,
+ rosout, python3-rospkg, python3-rosgraph, python3-roslib, python3-rosmaster,
+ python3-rosgraph-msgs, python3-netifaces, python3-rosparam, python3-yaml
+Recommends: python3-crypto, python3-paramiko
+Breaks: python-roslaunch (<< 1.14.3+ds1-8)
+Replaces: python-roslaunch (<< 1.14.3+ds1-8)
+Description: roslaunch tool for Robot OS - Python 3
  This package is part of Robot OS (ROS). roslaunch is a tool for
+ easily launching multiple ROS nodes locally and remotely via SSH, as
+ well as setting parameters on the Parameter Server. It includes
+ options to automatically respawn processes that have already died.
+ roslaunch takes in one or more XML configuration files (with the
+ launch extension) that specify the parameters to set and nodes to
+ launch, as well as the machines that they should be run on.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosmaster
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-defusedxml
+Breaks: python-rosmaster (<< 1.14.3+ds1-8)
+Replaces: python-rosmaster (<< 1.14.3+ds1-8)
+Description: Robot OS Master implementation - Python 3
+ This package is part of Robot OS (ROS). The rosmaster package
+ implements the ROS Master. Most programs will not need to interact
+ with this package directly. The rosmaster is run automatically
+ whenever roscore is run and all communication with the Master happens
+ over XMLRPC APIs.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosmsg
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-roslib, python3-rosbag, python3-genpy
+Breaks: python-rosmsg (<< 1.14.3+ds1-8)
+Replaces: python-rosmsg (<< 1.14.3+ds1-8)
+Description: Command-line tools for displaying information about Robot OS - Python 3
+ This package is part of Robot OS (ROS). rosmsg is a command-line tool
+ for displaying information about ROS Message types. rossrv is a
+ command-line tool for displaying information about ROS Service types.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosnode
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rostopic
+Breaks: python-rosnode (<< 1.14.3+ds1-8)
+Replaces: python-rosnode (<< 1.14.3+ds1-8)
+Description: Tool for displaying debug information about Robot OS - Python 3
+ This package is part of Robot OS (ROS). rosnode is a command-line
+ tool for displaying debug information about ROS Nodes, including
+ publications, subscriptions and connections. It also contains an
+ experimental library for retrieving node information. This library is
